package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.entidad.Comissao;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.vo.comissao.BoletoComissao;
import com.rjconsultores.ventaboletos.vo.comissao.HistoricoComissao;

public interface ComissaoDAO extends GenericDAO<Comissao, Integer> {
	
	public List<BoletoComissao> buscarReceitasComissoes(Integer puntoVentaId, Integer empresaId, Date periodo);

	public Comissao buscaComissaoVigencia(Integer puntoVentaId, Integer empresaId, String competencia);

	public List<HistoricoComissao> buscaHistoricoComissao(Map<String, Object> parametros);
	
	public List<PuntoVenta> buscaPuntoVentasEmpresaComComissaoParametrizada(Integer empresaId);
	
	public Comissao buscaComissaoVigencia(Integer puntoVentaId, Integer empresaId, Date dataInicial, Date dataFinal);

	public List<PuntoVenta> buscaPuntoVentasComComissaoParametrizada();
	
}
